VOP_SELECT(9)

NAME
VOP_SELECT - wait for I/O to be possible

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_SELECT(struct vnode *vp, int which, int fflags, struct ucred *cred, struct proc *p);

DESCRIPTION
Wait until I/O is possible on a file.

Its arguments are:

vp  the vnode of the file

which
    the type of I/O to wait for

fflags
    some flags ???

cred
    the caller's credentials

p   the calling process

PSEUDOCODE

    int
    vop_select(struct vnode *vp, int which, int fflags,
    	   struct ucred *cred, struct proc *p)
    {
        return 1;
    }

ERRORS

[ENOSPC]
    The filesystem is full.

[EDQUOT]
    Quota exceeded.

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.